Subject: [DMVR] Sept Cruise to Galena

From: "Rhett Farnum" <[email-masked]>
Date: Tue, 02 Sep 2003 13:52:17 -0500

I regret having to inform you that I will not be able to attend because of a 
higher conflict. I am on the team for a retreat that will be going on that 
fri night and saturday. The earliest I would be able to leave the area would 
be somewhere around 5pm or later, so I will not be able to make it.

Peace Out,
Rhett
Rocco_crossing
'83 Rocco (autocross ready, tune up, install harness, and finally I may get 
to makeing it look better!!)

_________________________________________________________________
Get MSN 8 and enjoy automatic e-mail virus protection.    
http://join.msn.com/?page=features/virus